#
# sgpk04.rb
#
# $Id: sgpk04.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include NMath


N = 41
x = NArray.sfloat(N)
y = NArray.sfloat(N)

#-- data ---
dt = 4.0* 3.14159 / (N-1)
x = x.indgen * (1.0/(N-1))
y = y.indgen * dt
y = sin(y) * 0.15

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm
sgswnd(0.0, 1.0, -0.8, 0.2)
sgsvpt(0.1, 0.9, 0.1, 0.9)
sgstrn(1)
sgstrf

sglset('LCLIP', true)
slpvpr(1)

sgpmu(N, x, y)                   # <--ޡ(1)

sgswnd(0.0, 1.0, -0.7, 0.3)
sgstrf
sgspmt(2)                        # <--ޡtype(+)
sgpmu(N, x, y)                   # <--ޡ(2)

sgswnd(0.0, 1.0, -0.6, 0.4)
sgstrf
sgspmt(3)                        # <--ޡtype(*)
sgpmu(N, x, y)                   # <--ޡ(3)

sgswnd(0.0, 1.0, -0.5, 0.5)
sgstrf
sgspmt(4)                        # <--ޡtype(o)
sgpmu(N, x, y)                   # <--ޡ(4)

sgswnd(0.0, 1.0, -0.4, 0.6)
sgstrf
sgspmi(2)                        # <-- ޡ index 
sgpmu(N, x, y)                   #<--ޡ(5)

sgswnd(0.0, 1.0, -0.3, 0.7)
sgstrf
sgspmi(3)
sgspmt(2)

sgplu(N, x, y)                   # <-- ޤ
sgpmu(N, x, y)                   # <--ޡ(6)

n1=N/4
y[n1-2] = 999.0                  # <-- »
y[n1-1] = 999.0
y[n1  ] = 999.0

n2=n1*3
y[n2-2] = 999.0
y[n2  ] = 999.0

sgswnd(0.0, 1.0, -0.2, 0.8)
sgstrf
gllset('LMISS', true)
sgspmi(2)
sgspmt(3)

sgplu(N, x, y)                   # <-- ޤ
sgpmu(N, x, y)                   # <--ޡ(7)

sgcls

